## r-cran-rle 0.9.2

=== DESCRIPTION ===
Package: rle
Version: 0.9.2
Date: 2020-09-21
Title: Common Functions for Run-Length Encoded Vectors
Authors@R: person("Pavel N.", "Krivitsky", role=c("aut","cre"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362"))
Description: Common 'base' and 'stats' methods for 'rle' objects, aiming to make it possible to treat them transparently as vectors.
Depends: R (>= 3.5)
Imports: methods
Copyright: file inst/COPYRIGHT
BugReports: https://github.com/statnet/rle/issues
License: GPL-3
RoxygenNote: 7.1.1
Encoding: UTF-8
Suggests: covr
NeedsCompilation: yes
Packaged: 2020-09-21 03:24:29 UTC; pavel
Author: Pavel N. Krivitsky [aut, cre] (<https://orcid.org/0000-0002-9101-3362>)
Maintainer: Pavel N. Krivitsky <pavel@statnet.org>
Repository: CRAN
Date/Publication: 2020-09-25 08:40:02 UTC

=== debian/changelog ===
r-cran-rle (0.9.2-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 17:39:38 +0100

r-cran-rle (0.9.2-1) unstable; urgency=medium

  * Initial release (closes: #972461)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 21:55:50 +0200

=== debian/control ===
Source: r-cran-rle
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rle.git
Homepage: https://cran.r-project.org/package=rle
Rules-Requires-Root: no

Package: r-cran-rle
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R common functions for run-length encoded vectors
 This GNU R package provides common functions for run-length encoded
 vectors. Common 'base' and 'stats' methods for 'rle' objects, aiming
 to make it possible to treat them transparently as vectors.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rle_([-\d.]*)\.tar\.gz

## r-cran-rle 0.10.0

=== DESCRIPTION ===
Package: rle
Version: 0.10.0
Date: 2025-05-28
Title: Common Functions for Run-Length Encoded Vectors
Authors@R: person("Pavel N.", "Krivitsky", role=c("aut","cre"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362"))
Description: Common 'base' and 'stats' methods for 'rle' objects, aiming to make it possible to treat them transparently as vectors.
Depends: R (>= 3.5)
Imports: methods
Copyright: file inst/COPYRIGHT
BugReports: https://github.com/statnet/rle/issues
License: GPL-3
RoxygenNote: 7.3.2.9000
Encoding: UTF-8
Suggests: covr
NeedsCompilation: yes
Packaged: 2025-05-28 13:03:45 UTC; pavel
Author: Pavel N. Krivitsky [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-9101-3362>)
Maintainer: Pavel N. Krivitsky <pavel@statnet.org>
Repository: CRAN
Date/Publication: 2025-05-28 14:10:02 UTC

=== debian/changelog ===
r-cran-rle (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 16:01:36 +0900

=== debian/control ===
Source: r-cran-rle
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rle.git
Homepage: https://cran.r-project.org/package=rle
Rules-Requires-Root: no

Package: r-cran-rle
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R common functions for run-length encoded vectors
 This GNU R package provides common functions for run-length encoded
 vectors. Common 'base' and 'stats' methods for 'rle' objects, aiming
 to make it possible to treat them transparently as vectors.
